API-Schlüssel widerrufen
Einen API-Schlüssel löschen und den Zugriff sofort widerrufen.
curl -X DELETE "https://api.talkturo.com/api/api-keys/123e4567-e89b-12d3-a456-426614174000" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN (JWT)"
import requests
import json
url = "https://api.talkturo.com/api/api-keys/123e4567-e89b-12d3-a456-426614174000"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (JWT)"
}
response = requests.delete(url, headers=headers)
print(response.json())
const response = await fetch("https://api.talkturo.com/api/api-keys/123e4567-e89b-12d3-a456-426614174000", {
method: "DELETE",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (JWT)"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("DELETE", "https://api.talkturo.com/api/api-keys/123e4567-e89b-12d3-a456-426614174000", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN (JWT)")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.talkturo.com/api/api-keys/123e4567-e89b-12d3-a456-426614174000')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN (JWT)'
response = http.request(request)
puts response.body
{
"success": true,
"message": "example_string"
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
DELETE
/api-keys/{id}DELETE
Base URLstring
Target server for requests. Edit to use your own host.
Bearer Token (JWT)
Bearer Tokenstring
RequiredSupabase-Access-Token-JWT für Desktop-Clients und Kontoverwaltungsrouten
wie die API-Schlüssel-Verwaltung (owner / admin für API-Schlüssel erforderlich).
Senden als Authorization: Bearer eyJ....
Supabase-Access-Token-JWT für Desktop-Clients und Kontoverwaltungsrouten
wie die API-Schlüssel-Verwaltung (
owner / admin für API-Schlüssel erforderlich).
Senden als Authorization: Bearer eyJ....
path
idstring
RequiredAPI-Schlüssel-UUID
Format: uuid
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token (JWT). Supabase-Access-Token-JWT für Desktop-Clients und Kontoverwaltungsrouten
wie die API-Schlüssel-Verwaltung (owner / admin für API-Schlüssel erforderlich).
Senden als Authorization: Bearer eyJ....
Path Parameters
idstring
RequiredAPI-Schlüssel-UUID
Responses
successboolean
messagestring
Was this page helpful?